{
  "format_version": "1.10.0",
  "minecraft:client_entity": {
    "description": {
      "identifier": "silverlabs:dragon_egg",
      "materials": {
        "default": "entity_alphatest"
      },
      "textures": {
        "default": "textures/entity/dragon_egg"
      },
      "geometry": {
        "default": "geometry.dragon_egg"
      },
      "render_controllers": [
        "controller.render.dragon_egg"
      ],
      "animations": {
        "idle": "animation.dragon_egg.idle",
        "wobble": "animation.dragon_egg.wobble",
        "shake": "animation.dragon_egg.shake",
        "controller": "controller.animation.dragon_egg"
      },
      "scripts": {
        "animate": ["controller"]
      },
      "particle_effects": {
        "flame": "minecraft:basic_flame_particle",
        "smoke": "minecraft:basic_smoke_particle"
      }
    }
  }
}